mzcbor-spectrum2json(1)

Name
mzcbor-spectrum2json - extract spectrum element from mzCBOR and converts it to JSON

SYNOPSIS
        mzcbor-spectrum2json -i <index> <mzcbor_file>

DESCRIPTION

The mzcbor-spectrum2json command line interface program extracts one spectrum element from an mzCBOR file given its spectrum index and writes this as a JSON data file to the standard output.

The JSON spectrum output mimics the mzML spectrum element structure, but the spectrum binary data array is decoded, uncompressed and simplified to allow direct use of data points.

The Concise Binary Object Representation (CBOR) is a binary data format designed by the Internet Engineering Task Force (IETF, RFC 8949). Its aim is to increase processing and transfer speeds, albeit at the cost of human data readability.

The use of this format as a replacement for mzML is intended not only to save storage space but also because of speed benefits during parsing and processing.

    1.  Input

                •   A mass spectrometry data file in the mzCBOR format

    2.  Output

                •   A JSON document containing one or more spectrum element

OPTIONS

-h [ --help ] Print the help message.

-v [ --version ] Print the version of the sotfware.

MAN PAGE PRODUCTION

This man page was written by Olivier Langella <olivier.langella@cnrs.fr> for the Debian package.

Author
Olivier Langella <olivier.langella@cnrs.fr>

Copyright
Olivier Langella & Filippo Rusconi